#region Copyright

/*
 * Copyright 2006 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

#endregion

using System;

namespace Seasar.Windows.Attr
{
    /// <summary>
    /// Window̕\[h^Cv
    /// </summary>
    public enum ModalType
    {
        Modal,
        Modaless
    }

    /// <summary>
    /// TargetForm
    /// </summary>
    /// <remarks>\WindowsFormw肷</remarks>
    [AttributeUsage(AttributeTargets.Method, AllowMultiple = false)]
    public class TargetFormAttribute : Attribute
    {
        /// <summary>
        /// WindowsFormNX
        /// </summary>
        private Type type_;

        /// <summary>
        /// Window\[h^Cv
        /// </summary>
        private ModalType mode_ = ModalType.Modaless;

        /// <summary>
        /// ԂlpvpeB
        /// </summary>
        private string returnPropertyName_;

        /// <summary>
        /// RXgN^
        /// </summary>
        /// <param name="type">WindowsFormNX</param>
        /// <param name="mode">Window\[h</param>
        /// <param name="returnPropetyName">ԂlpvpeB</param>
        public TargetFormAttribute(Type type, ModalType mode, string returnPropetyName)
        {
            type_ = type;
            mode_ = mode;
            returnPropertyName_ = returnPropetyName;
        }
        
        /// <summary>
        /// RXgN^
        /// </summary>
        /// <param name="type">WindowsFormNX</param>
        /// <param name="mode">Window\[h</param>
        public TargetFormAttribute( Type type, ModalType mode)
        {
            type_ = type;
            mode_ = mode;
            returnPropertyName_ = "";
        }

        /// <summary>
        /// WindowsFormNX
        /// </summary>
        public Type FormType
        {
            get { return type_; }
        }

        /// <summary>
        /// Window\[h
        /// </summary>
        public ModalType Mode
        {
            get { return mode_; }
        }

        /// <summary>
        /// ԂlpvpeB
        /// </summary>
        public string ReturnPropertyName
        {
            get { return returnPropertyName_; }
            set { returnPropertyName_ = value; }
        }
    }
}